Package com.sas.services

# Class ServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

Direct Known Subclasses:
  `AutoConnectException`, `CallbackCancelledException`, `DependentServicesException`, `EntityHasChangedException`, `FactoryException`, `FilterNotSupportedException`, `IllegalServiceStateException`, `InitializationException`, `ItemAlreadyExistsException`, `LockingException`, `LoginServiceException`, `NewInstanceException`, `NonPersonAuthenticationException`, `ParseException`, `PartialResultsException`, `QuiesceException`, `RepositoryUrlMismatchException`, `SearchCriteriaException`, `ServerVersionException`, `ServiceConfigurationException`, `ServiceDeploymentException`, `ServiceDeploymentImportException`, `ServiceLookupFailedException`, `ServiceNotAvailableException`, `SyntaxException`, `TransportException`, `UserInitializationException`, `UserUnknownException`, `VersionIncompatibleException`

public class ServiceException extends com.sas.util.ChainedException implements Serializable
Base exception class for all service related exceptions. This class extends `ChainedException` which provides the capability to wrap exceptions.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceException()`
  Constructs an exception using the default message.
  `ServiceException(String message)`
  Constructs an instance using the specified message to detail the cause of the exception.
  `ServiceException(Throwable throwable)`
  Constructs an instance using for the throwable that caused creation of this service exception.
  `ServiceException(Throwable throwable, String message)`
  Constructs an instance using the specified message and a throwable that caused creation of this service exception.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceException

    public ServiceException()
    Constructs an exception using the default message.

  - ### ServiceException

    public ServiceException(String message)
    Constructs an instance using the specified message to detail the cause of the exception.
    Parameters:
      `message` - Exception message.

  - ### ServiceException

    public ServiceException(Throwable throwable)
    Constructs an instance using for the throwable that caused creation of this service exception.
    Parameters:
      `throwable` - The Throwable that caused the exception.

  - ### ServiceException

    public ServiceException(Throwable throwable, String message)
    Constructs an instance using the specified message and a throwable that caused creation of this service exception.
    Parameters:
      `throwable` - The Throwable that caused this exception.
      `message` - Exception message.